create or replace package ploffx_const is
--v3.0.0

/*
    ST_Align:
    ST_AlignH, ST_VerticalJc, ST_AlignV, ST_YAlign, ST_XAlign, ST_TextAlignment,ST_JC
    v3.0.0
*/
subtype ST_Align is ploffx_util.t_string;
  align_top constant ST_Align :='top';
  align_both constant ST_Align :='both';
  align_bottom constant ST_Align :='bottom';
  align_left constant ST_Align := 'left';
  align_right constant ST_Align := 'right';
  align_center constant ST_Align := 'center';
  align_inside constant ST_Align := 'inside';
  align_outside constant ST_Align := 'outside';
  align_inline constant ST_Align := 'inline';
  align_auto constant ST_Align := 'auto';
  align_baseline constant ST_Align := 'baseline';
  align_centergroup constant ST_Align := 'centergroup';
  align_mediumKashida constant ST_Align := 'mediumKashida';
  align_distribute constant ST_Align := 'distribute';
  align_numTab constant ST_Align := 'numTab';
  align_highKashida constant ST_Align := 'highKashida';
  align_lowKashida constant ST_Align := 'lowKashida';
  align_thaiDistribute constant ST_Align := 'thaiDistribute';
/*
   ST_JC
   v2.0.0
*/
/*
subtype ST_Jc is ploffx_util.t_string;
  c_left constant ST_Jc := 'left';
  c_center constant ST_Jc := 'center';
  c_right constant ST_Jc := 'right';
  c_both constant ST_Jc := 'both';
  c_mediumKashida constant ST_Jc := 'mediumKashida';
  c_distribute constant ST_Jc := 'distribute';
  c_numTab constant ST_Jc := 'numTab';
  c_highKashida constant ST_Jc := 'highKashida';
  c_lowKashida constant ST_Jc := 'lowKashida';
  c_thaiDistribute constant ST_Jc := 'thaiDistribute';
*/

/*
   ST_Anchor:
   ST_HAnchor, ST_VAnchor
   v3.0.0
*/
subtype ST_Anchor is ploffx_util.t_string;
  anchor_text constant ST_Anchor := 'text';
  anchor_margin constant ST_Anchor := 'margin';
  anchor_page constant ST_Anchor := 'page';

/*
   ST_Rule:
   ST_HeightRule, ST_LineSpacingRule
   v3.0.0
*/
subtype ST_Rule is ploffx_util.t_string;
  rule_auto constant ST_Rule := 'auto';
  rule_exact constant ST_Rule := 'exact';
  rule_atLeast constant ST_Rule := 'atLeast';

/*
   ST_Merge:
   ST_Merge, ST_HMerge
   v3.0.0
*/
subtype ST_Merge is ploffx_util.t_string;
  merge_continue constant ST_Merge :='continue';
  merge_restart constant ST_Merge :='restart';

/* App.xml */
/*
   Vector Based Types
*/
subtype ST_VectorBaseType  is ploffx_util.t_string;
  vector_variant constant ST_VectorBaseType := 'variant';
  vector_i1 constant ST_VectorBaseType := 'i1';
  vector_i2 constant ST_VectorBaseType := 'i2';
  vector_i4 constant ST_VectorBaseType := 'i4';
  vector_i8 constant ST_VectorBaseType := 'i8';
  vector_ui1 constant ST_VectorBaseType := 'ui1';
  vector_ui2 constant ST_VectorBaseType := 'ui2';
  vector_ui4 constant ST_VectorBaseType := 'ui4';
  vector_ui8 constant ST_VectorBaseType := 'ui8';
  vector_r4 constant ST_VectorBaseType := 'r4';
  vector_r8 constant ST_VectorBaseType := 'r8';
  vector_lpstr constant ST_VectorBaseType := 'lpstr';
  vector_lpwstr constant ST_VectorBaseType := 'lpwstr';
  vector_bstr constant ST_VectorBaseType := 'bstr';
  vector_date constant ST_VectorBaseType := 'date';
  vector_filetime constant ST_VectorBaseType := 'filetime';
  vector_bool constant ST_VectorBaseType := 'bool';
  vector_cy constant ST_VectorBaseType := 'cy';
  vector_error constant ST_VectorBaseType := 'error';
  vector_clsid constant ST_VectorBaseType := 'clsid';

/* DocumentType.xml */
/*
   ST_OnOff
   v2.0.0
*/
subtype ST_OnOff is ploffx_util.t_string;
  onOff_0 constant ST_OnOff := '0';
  onOff_1 constant ST_OnOff := '1';
  onOff_no constant ST_OnOff := 'no';
  onOff_yes constant ST_OnOff := 'yes';
  onOff_false constant ST_OnOff := 'false';
  onOff_true constant ST_OnOff := 'true';
/*
  ST_MultiLevelType
  v2.0.0
*/
subtype ST_MultiLevelType is ploffx_util.t_string;
  multiLvl_hybridMultilevel constant ST_MultiLevelType := 'hybridMultilevel';
  multiLvl_multilevel constant ST_MultiLevelType := 'multilevel';
  multiLvl_singleLevel constant ST_MultiLevelType := 'singleLevel';
/*
  ST_TextDirection
  v2.0.0
*/
subtype ST_TextDirection is ploffx_util.t_string;
  txtDirection_tb constant ST_TextDirection := 'tb';
  txtDirection_rl constant ST_TextDirection := 'rl';
  txtDirection_lr constant ST_TextDirection := 'lr';
  txtDirection_tbV constant ST_TextDirection := 'tbV';
  txtDirection_rlV constant ST_TextDirection := 'rlV';
  txtDirection_lrV constant ST_TextDirection := 'lrV';
/*
--ST_VerticalJc
subtype ST_VerticalJc is ploffx_util.t_string;
  --v2.0.0
  c_top_vjc constant ST_VerticalJc :='top';
  c_center_vjc constant ST_VerticalJc :='center';
  c_both_vjc constant ST_VerticalJc :='both';
  c_bottom_vjc constant ST_VerticalJc :='bottom';
*/
/*
 ST_NumberFormat
 v2.0.0
*/
subtype ST_NumberFormat is ploffx_util.t_string;
  nft_aiueo constant ST_NumberFormat:= 'aiueo';
  nft_aiueoFullWidth constant ST_NumberFormat := 'aiueoFullWidth';
  nft_arabicAbjad constant ST_NumberFormat := 'arabicAbjad';
  nft_arabicAlpha constant ST_NumberFormat := 'arabicAlpha';
  nft_bullet constant ST_NumberFormat := 'bullet';
  nft_cardinalText constant ST_NumberFormat := 'cardinalText';
  nft_chicago constant ST_NumberFormat := 'chicago';
  nft_chineseCounting constant ST_NumberFormat := 'chineseCounting';
  nft_chineseCountingThousand constant ST_NumberFormat := 'chineseCountingThousand';
  nft_chineseLegalSimplified constant ST_NumberFormat := 'chineseLegalSimplified';
  nft_chosung constant ST_NumberFormat := 'chosung';
  nft_decimal constant ST_NumberFormat := 'decimal';
  nft_decimalEnclosedCircle constant ST_NumberFormat := 'decimalEnclosedCircle';
  nft_decEnclosedCircleChinese constant ST_NumberFormat := 'decimalEnclosedCircleChinese';
  nft_decimalEnclosedFullstop constant ST_NumberFormat := 'decimalEnclosedFullstop';
  nft_decimalEnclosedParen constant ST_NumberFormat := 'decimalEnclosedParen';
  nft_decimalFullWidth constant ST_NumberFormat := 'decimalFullWidth';
  nft_decimalFullWidth2 constant ST_NumberFormat := 'decimalFullWidth2';
  nft_decimalHalfWidth constant ST_NumberFormat := 'decimalHalfWidth';
  nft_decimalZero constant ST_NumberFormat := 'decimalZero';
  nft_ganada constant ST_NumberFormat := 'ganada';
  nft_hebrew constant ST_NumberFormat := 'hebrew';
  nft_hebrew2 constant ST_NumberFormat := 'hebrew2';
  nft_hex constant ST_NumberFormat := 'hex';
  nft_hindiConsonants constant ST_NumberFormat := 'hindiConsonants';
  nft_hindiCounting constant ST_NumberFormat := 'hindiCounting';
  nft_hindiNumbers constant ST_NumberFormat := 'hindiNumbers';
  nft_hindiVowels constant ST_NumberFormat := 'hindiVowels';
  nft_ideographDigital constant ST_NumberFormat := 'ideographDigital';
  nft_ideographEnclosedCircle constant ST_NumberFormat := 'ideographEnclosedCircle';
  nft_ideographLegalTraditional constant ST_NumberFormat := 'ideographLegalTraditional';
  nft_ideographTraditional constant ST_NumberFormat := 'ideographTraditional';
  nft_ideographZodiac constant ST_NumberFormat := 'ideographZodiac';
  nft_ideographZodiacTradicional constant ST_NumberFormat := 'ideographZodiacTradicional';
  nft_iroha constant ST_NumberFormat := 'iroha';
  nft_irohaFullWidth constant ST_NumberFormat := 'irohaFullWidth';
  nft_japaneseCounting constant ST_NumberFormat := 'japaneseCounting';
  nft_japaneseDigitalTenThousand constant ST_NumberFormat := 'japaneseDigitalTenThousand';
  nft_japaneseLegal constant ST_NumberFormat := 'japaneseLegal';
  nft_koreanCounting constant ST_NumberFormat := 'koreanCounting';
  nft_koreanDigital constant ST_NumberFormat := 'koreanDigital';
  nft_koreanDigital2 constant ST_NumberFormat := 'koreanDigital2';
  nft_koreanLegal constant ST_NumberFormat := 'koreanLegal';
  nft_lowerLetter constant ST_NumberFormat := 'lowerLetter';
  nft_lowerRoman constant ST_NumberFormat := 'lowerRoman';
  nft_none constant ST_NumberFormat := 'none';
  nft_numberInDash constant ST_NumberFormat := 'numberInDash';
  nft_ordinal constant ST_NumberFormat := 'ordinal';
  nft_ordinalText constant ST_NumberFormat := 'ordinalText';
  nft_russianLower constant ST_NumberFormat := 'russianLower';
  nft_russianUpper constant ST_NumberFormat := 'russianUpper';
  nft_taiwaneseCounting constant ST_NumberFormat := 'taiwaneseCounting';
  nft_taiwaneseCountingThousand constant ST_NumberFormat := 'taiwaneseCountingThousand';
  nft_taiwaneseDigital constant ST_NumberFormat := 'taiwaneseDigital';
  nft_thaiCounting constant ST_NumberFormat := 'thaiCounting';
  nft_thaiLetters constant ST_NumberFormat := 'thaiLetters';
  nft_thaiNumbers constant ST_NumberFormat := 'thaiNumbers';
  nft_upperLetters constant ST_NumberFormat := 'upperLetters';
  nft_upperRoman constant ST_NumberFormat := 'upperRoman';
  nft_vietnameseCounting constant ST_NumberFormat := 'vietnameseCounting';
/*
  ST_ThemeColor
  v2.0.0
*/
subtype ST_ThemeColor is ploffx_util.t_string;
  themeColor_dark1 constant ST_ThemeColor := 'dark1';
  themeColor_light1 constant ST_ThemeColor := 'light1';
  themeColor_dark2 constant ST_ThemeColor := 'dark2';
  themeColor_light2 constant ST_ThemeColor := 'light2';
  themeColor_accent1 constant ST_ThemeColor := 'accent1';
  themeColor_accent2 constant ST_ThemeColor := 'accent2';
  themeColor_accent3 constant ST_ThemeColor := 'accent3';
  themeColor_accent4 constant ST_ThemeColor := 'accent4';
  themeColor_accent5 constant ST_ThemeColor := 'accent5';
  themeColor_accent6 constant ST_ThemeColor := 'accent6';
  themeColor_hyperlink constant ST_ThemeColor := 'hyperlink';
  themeColor_followedHyperlink constant ST_ThemeColor := 'followedHyperlink';
  themeColor_none constant ST_ThemeColor := 'none';
  themeColor_background1 constant ST_ThemeColor := 'background1';
  themeColor_text1 constant ST_ThemeColor := 'text1';
  themeColor_background2 constant ST_ThemeColor := 'backgorund2';
  themeColor_text2 constant ST_ThemeColor := 'text2';
/*
  ST_Lang
*/
subtype ST_Lang is ploffx_util.t_string;
  --values?
/*
  ST_Hint
  v2.0.0
*/
subtype ST_Hint is ploffx_util.t_string;
  hint_default constant ST_Hint := 'default';
  hint_eastAsia constant ST_Hint := 'eastAsia';
  hint_cs constant ST_Hint := 'cs';
/*
  ST_Theme
  v2.0.0
*/
subtype ST_Theme is ploffx_util.t_string;
  theme_majorEastAsia constant ST_Theme := 'majorEastAsia';
  theme_majorBidi constant ST_Theme := 'majorBidi';
  theme_majorAscii constant ST_Theme := 'majorAscii';
  theme_majorHAnsi constant ST_Theme := 'majorHAnsi';
  theme_minorEastAsia constant ST_Theme := 'minorEastAsia';
  theme_minorBidi constant ST_Theme := 'minorBidi';
  theme_minorAscii constant ST_Theme := 'minorAscii';
  theme_minorHAnsi constant ST_Theme := 'minorHAnsi';
/*
  ST_Underline
  v2.0.0
*/
subtype ST_Underline is ploffx_util.t_string;
  underline_single constant ST_Underline := 'single';
  underline_words constant ST_Underline := 'words';
  underline_double constant ST_Underline := 'double';
  underline_thick constant ST_Underline := 'thick';
  underline_dotted constant ST_Underline := 'dotted';
  underline_dottedHeavy constant ST_Underline := 'dottedHeavy';
  underline_dash constant ST_Underline := 'dash';
  underline_dashedHeavy constant ST_Underline := 'dashedHeavy';
  underline_dashLong constant ST_Underline := 'dasLong';
  underline_dashLongHeavy constant ST_Underline := 'dashLongHeavy';
  underline_dotDash constant ST_Underline := 'dotDash';
  underline_dashDotHeavy constant ST_Underline := 'dashDotHeavy';
  underline_dotDotDash constant ST_Underline := 'dotDotDash';
  underline_dashDotDotHeavy constant ST_Underline := 'dashDotDotHeavy';
  underline_wave constant ST_Underline := 'wave';
  underline_wavyHeavy constant ST_Underline := 'wavyHeavy';
  underline_wavyDouble constant ST_Underline := 'wavyDouble';
  underline_none constant ST_Underline := 'none';
/*
   ST_Border
   v2.0.0
*/
subtype ST_Border is ploffx_util.t_string;
  bord_nil      constant ST_Border :='nil';
  bord_none      constant ST_Border :='none';
  bord_single      constant ST_Border :='single';
  bord_thick      constant ST_Border :='thick';
  bord_double      constant ST_Border :='double';
  bord_dotted      constant ST_Border :='dotted';
  bord_dashed      constant ST_Border :='dashed';
  bord_dotDash      constant ST_Border :='dotDash';
  bord_dotDotDash      constant ST_Border :='dotDotDash';
  bord_triple      constant ST_Border :='triple';
  bord_thinThickSmallGap      constant ST_Border :='thinThickSmallGap';
  bord_thickThinSmallGap      constant ST_Border :='thickThinSmallGap';
  bord_thinThickThinSmallGap      constant ST_Border :='thinThickThinSmallGap';
  bord_thinThickMediumGap      constant ST_Border :='thinThickMediumGap';
  bord_thickThinMediumGap_br   constant ST_Border :='thickThinMediumGap';
  bord_thinThickThinMediumGap      constant ST_Border :='thinThickThinMediumGap';
  bord_thinThickLargeGap      constant ST_Border :='thinThickLargeGap';
  bord_thickThinLargeGap      constant ST_Border :='thickThinLargeGap';
  bord_thinThickThinLargeGap      constant ST_Border :='thinThickThinLargeGap';
  bord_wave      constant ST_Border :='wave';
  bord_doubleWave      constant ST_Border :='doubleWave';
  bord_dashSmallGap      constant ST_Border :='dashSmallGap';
  bord_dashDotStroked      constant ST_Border :='dashDotStroked';
  bord_threeDEmboss      constant ST_Border :='threeDEmboss';
  bord_threeDEngrave      constant ST_Border :='threeDEngrave';
  bord_outset      constant ST_Border :='outset';
  bord_inset      constant ST_Border :='inset';
  bord_apples      constant ST_Border :='apples';
  bord_archedScallops      constant ST_Border :='archedScallops';
  bord_babyPacifier      constant ST_Border :='babyPacifier';
  bord_babyRattle      constant ST_Border :='babyRattle';
  bord_balloons3Colors      constant ST_Border :='balloons3Colors';
  bord_balloonsHotAir      constant ST_Border :='balloonsHotAir';
  bord_basicBlackDashes      constant ST_Border :='basicBlackDashes';
  bord_basicBlackDots      constant ST_Border :='basicBlackDots';
  bord_basicBlackSquares      constant ST_Border :='basicBlackSquares';
  bord_basicThinLines      constant ST_Border :='basicThinLines';
  bord_basicWhiteDashes      constant ST_Border :='basicWhiteDashes';
  bord_basicWhiteDots      constant ST_Border :='basicWhiteDots';
  bord_basicWhiteSquares      constant ST_Border :='basicWhiteSquares';
  bord_basicWideInline      constant ST_Border :='basicWideInline';
  bord_basicWideMidline      constant ST_Border :='basicWideMidline';
  bord_basicWideOutline      constant ST_Border :='basicWideOutline';
  bord_bats      constant ST_Border :='bats';
  bord_birds      constant ST_Border :='birds';
  bord_birdsFlight      constant ST_Border :='birdsFlight';
  bord_cabins      constant ST_Border :='cabins';
  bord_cakeSlice      constant ST_Border :='cakeSlice';
  bord_candyCorn      constant ST_Border :='candyCorn';
  bord_celticKnotwork      constant ST_Border :='celticKnotwork';
  bord_classicalWave      constant ST_Border :='classicalWave';
  bord_clocks      constant ST_Border :='clocks';
  bord_compass      constant ST_Border :='compass';
  bord_confetti      constant ST_Border :='confetti';
  bord_confettiGrays      constant ST_Border :='confettiGrays';
  bord_confettiOutline      constant ST_Border :='confettiOutline';
  bord_confettiStreamers      constant ST_Border :='confettiStreamers';
  bord_confettiWhite      constant ST_Border :='confettiWhite';
  bord_cornerTriangles      constant ST_Border :='cornerTriangles';
  bord_couponCutoutDashes      constant ST_Border :='couponCutoutDashes';
  bord_couponCutoutDots      constant ST_Border :='couponCutoutDots';
  bord_crazyMaze      constant ST_Border :='crazyMaze';
  bord_creaturesButterfly      constant ST_Border :='creaturesButterfly';
  bord_creaturesFish      constant ST_Border :='creaturesFish';
  bord_creaturesInsects      constant ST_Border :='creaturesInsects';
  bord_creaturesLadyBug      constant ST_Border :='creaturesLadyBug';
  bord_crossStitch      constant ST_Border :='crossStitch';
  bord_cup      constant ST_Border :='cup';
  bord_decoArch      constant ST_Border :='decoArch';
  bord_decoArchColor      constant ST_Border :='decoArchColor';
  bord_decoBlocks      constant ST_Border :='decoBlocks';
  bord_diamondsGray      constant ST_Border :='diamondsGray';
  bord_doubleD      constant ST_Border :='doubleD';
  bord_doubleDiamonds      constant ST_Border :='doubleDiamonds';
  bord_earth1      constant ST_Border :='earth1';
  bord_earth2      constant ST_Border :='earth2';
  bord_eclipsingSquares1      constant ST_Border :='eclipsingSquares1';
  bord_eclipsingSquares2      constant ST_Border :='eclipsingSquares2';
  bord_eggsBlack      constant ST_Border :='eggsBlack';
  bord_fans      constant ST_Border :='fans';
  bord_film      constant ST_Border :='film';
  bord_firecrackers      constant ST_Border :='firecrackers';
  bord_flowersBlockPrint      constant ST_Border :='flowersBlockPrint';
  bord_flowersDaisies      constant ST_Border :='flowersDaisies';
  bord_flowersModern1      constant ST_Border :='flowersModern1';
  bord_flowersModern2      constant ST_Border :='flowersModern2';
  bord_flowersPansy      constant ST_Border :='flowersPansy';
  bord_flowersRedRose      constant ST_Border :='flowersRedRose';
  bord_flowersRoses      constant ST_Border :='flowersRoses';
  bord_flowersTeacup      constant ST_Border :='flowersTeacup';
  bord_flowersTiny      constant ST_Border :='flowersTiny';
  bord_gems      constant ST_Border :='gems';
  bord_gingerbreadMan      constant ST_Border :='gingerbreadMan';
  bord_gradient      constant ST_Border :='gradient';
  bord_handmade1      constant ST_Border :='handmade1';
  bord_handmade2      constant ST_Border :='handmade2';
  bord_heartBalloon      constant ST_Border :='heartBalloon';
  bord_heartGray      constant ST_Border :='heartGray';
  bord_hearts      constant ST_Border :='hearts';
  bord_heebieJeebies      constant ST_Border :='heebieJeebies';
  bord_holly      constant ST_Border :='holly';
  bord_houseFunky      constant ST_Border :='houseFunky';
  bord_hypnotibord      constant ST_Border :='hypnotic';
  bord_iceCreamCones      constant ST_Border :='iceCreamCones';
  bord_lightBulb      constant ST_Border :='lightBulb';
  bord_lightning1      constant ST_Border :='lightning1';
  bord_lightning2      constant ST_Border :='lightning2';
  bord_mapPins      constant ST_Border :='mapPins';
  bord_mapleLeaf      constant ST_Border :='mapleLeaf';
  bord_mapleMuffins      constant ST_Border :='mapleMuffins';
  bord_marquee      constant ST_Border :='marquee';
  bord_marqueeToothed      constant ST_Border :='marqueeToothed';
  bord_moons      constant ST_Border :='moons';
  bord_mosaibord      constant ST_Border :='mosaic';
  bord_musicNotes      constant ST_Border :='musicNotes';
  bord_northwest      constant ST_Border :='northwest';
  bord_ovals      constant ST_Border :='ovals';
  bord_packages      constant ST_Border :='packages';
  bord_palmsBlack      constant ST_Border :='palmsBlack';
  bord_palmsColor      constant ST_Border :='palmsColor';
  bord_paperClips      constant ST_Border :='paperClips';
  bord_papyrus      constant ST_Border :='papyrus';
  bord_partyFavor      constant ST_Border :='partyFavor';
  bord_partyGlass      constant ST_Border :='partyGlass';
  bord_pencils      constant ST_Border :='pencils';
  bord_people      constant ST_Border :='people';
  bord_peopleWaving      constant ST_Border :='peopleWaving';
  bord_peopleHats      constant ST_Border :='peopleHats';
  bord_poinsettias      constant ST_Border :='poinsettias';
  bord_postageStamp      constant ST_Border :='postageStamp';
  bord_pumpkin1      constant ST_Border :='pumpkin1';
  bord_pushPinNote2      constant ST_Border :='pushPinNote2';
  bord_pushPinNote1      constant ST_Border :='pushPinNote1';
  bord_pyramids      constant ST_Border :='pyramids';
  bord_pyramidsAbove      constant ST_Border :='pyramidsAbove';
  bord_quadrants      constant ST_Border :='quadrants';
  bord_rings      constant ST_Border :='rings';
  bord_safari      constant ST_Border :='safari';
  bord_sawtooth      constant ST_Border :='sawtooth';
  bord_sawtoothGray      constant ST_Border :='sawtoothGray';
  bord_scaredCat      constant ST_Border :='scaredCat';
  bord_seattle      constant ST_Border :='seattle';
  bord_shadowedSquares      constant ST_Border :='shadowedSquares';
  bord_sharksTeeth      constant ST_Border :='sharksTeeth';
  bord_shorebirdTracks      constant ST_Border :='shorebirdTracks';
  bord_skyrocket      constant ST_Border :='skyrocket';
  bord_snowflakeFancy      constant ST_Border :='snowflakeFancy';
  bord_snowflakes      constant ST_Border :='snowflakes';
  bord_sombrero      constant ST_Border :='sombrero';
  bord_southwest      constant ST_Border :='southwest';
  bord_stars      constant ST_Border :='stars';
  bord_starsTop      constant ST_Border :='starsTop';
  bord_stars3d      constant ST_Border :='stars3d';
  bord_starsBlack      constant ST_Border :='starsBlack';
  bord_starsShadowed      constant ST_Border :='starsShadowed';
  bord_sun      constant ST_Border :='sun';
  bord_swirligig      constant ST_Border :='swirligig';
  bord_tornPaper      constant ST_Border :='tornPaper';
  bord_tornPaperBlack      constant ST_Border :='tornPaperBlack';
  bord_trees      constant ST_Border :='trees';
  bord_triangleParty      constant ST_Border :='triangleParty';
  bord_triangles      constant ST_Border :='triangles';
  bord_tribal1      constant ST_Border :='tribal1';
  bord_tribal2      constant ST_Border :='tribal2';
  bord_tribal3      constant ST_Border :='tribal3';
  bord_tribal4      constant ST_Border :='tribal4';
  bord_tribal5      constant ST_Border :='tribal5';
  bord_tribal6      constant ST_Border :='tribal6';
  bord_twistedLines1      constant ST_Border :='twistedLines1';
  bord_twistedLines2      constant ST_Border :='twistedLines2';
  bord_vine      constant ST_Border :='vine';
  bord_waveline      constant ST_Border :='waveline';
  bord_weavingAngles      constant ST_Border :='weavingAngles';
  bord_weavingBraid      constant ST_Border :='weavingBraid';
  bord_weavingRibbon      constant ST_Border :='weavingRibbon';
  bord_weavingStrips      constant ST_Border :='weavingStrips';
  bord_whiteFlowers      constant ST_Border :='whiteFlowers';
  bord_woodwork      constant ST_Border :='woodwork';
  bord_xIllusions      constant ST_Border :='xIllusions';
  bord_zanyTriangles      constant ST_Border :='zanyTriangles';
  bord_zigZag      constant ST_Border :='zigZag';
  bord_zigZagStitch      constant ST_Border :='zigZagStitch';
/*
  ST_CombineBrackets
  v2.0.0
*/
subtype ST_CombineBrackets is ploffx_util.t_string;
  combBrackets_none constant ST_CombineBrackets := 'none';
  combBrackets_round constant ST_CombineBrackets := 'round';
  combBrackets_square constant ST_CombineBrackets := 'square';
  combBrackets_angle constant ST_CombineBrackets := 'angle';
  combBrackets_curly constant ST_CombineBrackets := 'curly';
/*
  ST_TextEffect
  v2.0.0
*/
subtype ST_TextEffect is ploffx_util.t_string;
  textEffect_blinkBackground constant ST_TextEffect := 'blinkBackground';
  textEffect_lights constant ST_TextEffect := 'lights';
  textEffect_antsBlack constant ST_TextEffect := 'antsBlack';
  textEffect_antsRed constant ST_TextEffect := 'antsRed';
  textEffect_shimmer constant ST_TextEffect := 'shimmer';
  textEffect_sparkle constant ST_TextEffect := 'sparkle';
  textEffect_none constant ST_TextEffect := 'none';
/*
  ST_Em
  v2.0.0
*/
subtype ST_Em is ploffx_util.t_string;
  Em_none constant ST_Em := 'none';
  Em_dot constant ST_Em := 'dot';
  Em_comma constant ST_Em := 'comma';
  Em_circle constant ST_Em := 'circle';
  Em_underDot constant ST_Em := 'underDot';
/*
  ST_HighlightColor
  v2.0.0
*/
subtype ST_HighlightColor is ploffx_util.t_string;
  highlight_black constant ST_HighlightColor := 'black';
  highlight_blue constant ST_HighlightColor := 'blue';
  highlight_cyan constant ST_HighlightColor := 'cyan';
  highlight_green constant ST_HighlightColor := 'green';
  highlight_magenta constant ST_HighlightColor := 'magenta';
  highlight_red constant ST_HighlightColor := 'red';
  highlight_yellow constant ST_HighlightColor := 'yellow';
  highlight_white constant ST_HighlightColor := 'white';
  highlight_darkBlue constant ST_HighlightColor := 'darkBlue';
  highlight_darkCyan constant ST_HighlightColor := 'darkCyan';
  highlight_darkGreen constant ST_HighlightColor := 'darkGreen';
  highlight_darkMagenta constant ST_HighlightColor := 'darkMagenta';
  highlight_darkRed constant ST_HighlightColor := 'darkRed';
  highlight_darkYellow constant ST_HighlightColor := 'darkYellow';
  highlight_darkGray constant ST_HighlightColor := 'darkGray';
  highlight_lightGray constant ST_HighlightColor := 'lightGray';
  highlight_none constant ST_HighlightColor := 'none';
/*
  ST_Shd
  v2.0.0
*/
subtype ST_Shd is ploffx_util.t_string;
  Shd_nil constant ST_Shd := 'nil';
  Shd_clear constant ST_Shd := 'clear';
  Shd_solid constant ST_Shd := 'solid';
  Shd_horzStripe constant ST_Shd := 'horzStripe';
  Shd_vertStripe constant ST_Shd := 'vertStripe';
  Shd_reverseDiagStripe constant ST_Shd := 'reverseDiagStripe';
  Shd_diagStripe constant ST_Shd := 'diagStripe';
  Shd_horzCross constant ST_Shd := 'horzCross';
  Shd_diagCross constant ST_Shd := 'diagCross';
  Shd_thinHorzStripe constant ST_Shd := 'thinHorzStripe';
  Shd_thinVertStripe constant ST_Shd := 'thinVertStripe';
  Shd_thinReverseDiagStripe constant ST_Shd := 'thinReverseDiagStripe';
  Shd_thinDiagStripe constant ST_Shd := 'thinDiagStripe';
  Shd_thinHorzCross constant ST_Shd := 'thinHorzCross';
  Shd_thinDiagCross constant ST_Shd := 'thinDiagCross';
  Shd_pct5 constant ST_Shd := 'pct5';
  Shd_pct10 constant ST_Shd := 'pct10';
  Shd_pct12 constant ST_Shd := 'pct12';
  Shd_pct15 constant ST_Shd := 'pct15';
  Shd_pct20 constant ST_Shd := 'pct20';
  Shd_pct25 constant ST_Shd := 'pct25';
  Shd_pct30 constant ST_Shd := 'pct30';
  Shd_pct35 constant ST_Shd := 'pct35';
  Shd_pct37 constant ST_Shd := 'pct37';
  Shd_pct40 constant ST_Shd := 'pct40';
  Shd_pct45 constant ST_Shd := 'pct45';
  Shd_pct50 constant ST_Shd := 'pct50';
  Shd_pct55 constant ST_Shd := 'pct55';
  Shd_pct60 constant ST_Shd := 'pct60';
  Shd_pct62 constant ST_Shd := 'pct62';
  Shd_pct65 constant ST_Shd := 'pct65';
  Shd_pct70 constant ST_Shd := 'pct70';
  Shd_pct75 constant ST_Shd := 'pct75';
  Shd_pct80 constant ST_Shd := 'pct80';
  Shd_pct85 constant ST_Shd := 'pct85';
  Shd_pct87 constant ST_Shd := 'pct87';
  Shd_pct90 constant ST_Shd := 'pct90';
  Shd_pct95 constant ST_Shd := 'pct95';
/*
  ST_VerticalAlignRun
  v2.0.0
*/
subtype ST_VerticalAlignRun is ploffx_util.t_string;
  vertAlignRun_baseline constant ST_VerticalAlignRun := 'baseline';
  vertAlignRun_superscript constant ST_VerticalAlignRun := 'superscript';
  vertAlignRun_subscript constant ST_VerticalAlignRun := 'subscript';
/*
  ST_PageOrientation
  v2.0.0
*/
subtype ST_PageOrientation is ploffx_util.t_string;
  pageOrient_portrait  constant ST_PageOrientation := 'portrait';
  pageOrient_landscape constant ST_PageOrientation := 'landscape';

/*--v1.3.0
subtype ST_AlignH is ploffx_util.t_string;
  --v2.0.0
  c_left_ah constant ST_AlignH := 'left';
  c_right_ah constant ST_AlignH := 'right';
  c_center_ah constant ST_AlignH := 'center';
  c_inside_ah constant ST_AlignH := 'inside';
  c_outside_ah constant ST_AlignH := 'outside';
*/
/*
  ST_RelFromH
  v1.3.0
  v2.0.0
*/
subtype ST_RelFromH is ploffx_util.t_string;
  relFromH_margin constant ST_RelFromH := 'margin';
  relFromH_page constant ST_RelFromH := 'page';
  relFromH_column constant ST_RelFromH := 'column';
  relFromH_character constant ST_RelFromH := 'character';
  relFromH_leftMargin constant ST_RelFromH := 'leftMargin';
  relFromH_rightMargin constant ST_RelFromH := 'rightMargin';
  relFromH_insideMargin constant ST_RelFromH := 'insideMargin';
  relFromH_outsideMargin constant ST_RelFromH := 'outsideMargin';

/*
--v1.3.0
subtype ST_AlignV is ploffx_util.t_string;
  --v2.0.0
  c_top_av constant ST_AlignV := 'top';
  c_bottom_av constant ST_AlignV := 'bottom';
  c_center_av constant ST_AlignV := 'center';
  c_inside_av constant ST_AlignV := 'inside';
  c_outside_av constant ST_AlignV := 'outside';
*/
/*
  ST_RelFromV
  v1.3.0
  v2.0.0
*/
subtype ST_RelFromV is ploffx_util.t_string;
  relFromV_margin constant ST_RelFromV := 'margin';
  relFromV_page constant ST_RelFromV := 'page';
  relFromV_paragraph constant ST_RelFromV := 'paragraph';
  relFromV_line constant ST_RelFromV := 'line';
  relFromV_topMargin constant ST_RelFromV := 'topMargin';
  relFromV_bottomMargin constant ST_RelFromV := 'bottomMargin';
  relFromV_insideMargin constant ST_RelFromV := 'insideMargin';
  relFromV_outsideMargin constant ST_RelFromV := 'outsideMargin';
/*
  ST_WrapText
  v1.3.0
  v2.0.0
*/
subtype ST_WrapText is ploffx_util.t_string;
  wrapText_bothSides constant ST_WrapText := 'bothSides';
  wrapText_left constant ST_WrapText := 'left';
  wrapText_right constant ST_WrapText := 'right';
  wrapText_largest constant ST_WrapText := 'largest';

/*
---- ST_LineSpacingRule
subtype ST_LineSpacingRule is ploffx_util.t_string;
  --v2.0.0
  c_auto constant ST_LineSpacingRule := 'auto';
  c_exact constant ST_LineSpacingRule := 'exact';
  c_atLeast constant ST_LineSpacingRule := 'atLeast';
*/
/*
  ST_DropCap
  v2.0.0
*/
subtype ST_DropCap is ploffx_util.t_string;
  dropCap_none constant ST_DropCap := 'none';
  dropCap_drop constant ST_DropCap := 'drop';
  dropCap_margin constant ST_DropCap := 'margin';
/*
  ST_Wrap
  v2.0.0
*/
subtype ST_Wrap is ploffx_util.t_string;
  wrap_auto constant ST_Wrap := 'auto';
  wrap_notBeside constant ST_Wrap := 'notBeside';
  wrap_around constant ST_Wrap := 'around';
  wrap_tight constant ST_Wrap := 'tight';
  wrap_through constant ST_Wrap := 'through';
  wrap_none constant ST_Wrap := 'none';
/*
subtype ST_HAnchor is ploffx_util.t_string;
  --v2.0.0
  c_text constant ST_HAnchor := 'text';
  c_margin constant ST_HAnchor := 'margin';
  c_page constant ST_HAnchor := 'page';

subtype ST_VAnchor is ploffx_util.t_string;
  --v2.0.0
  c_text constant ST_VAnchor := 'text';
  c_margin constant ST_VAnchor := 'margin';
  c_page constant ST_VAnchor := 'page';
*/
/*
subtype ST_XAlign is ploffx_util.t_string;
  --v2.0.0
  c_left_xan constant ST_XAlign := 'left';
  c_center_xan constant ST_XAlign := 'center';
  c_right_xan constant ST_XAlign := 'right';
  c_inside_xan constant ST_XAlign := 'inside';
  c_outside_xan constant ST_XAlign := 'outside';
*/

/*
subtype ST_YAlign is ploffx_util.t_string;
  --v2.0.0
  c_inline_yan constant ST_YAlign := 'inline';
  c_top_yan constant ST_YAlign := 'top';
  c_center_yan constant ST_YAlign := 'center';
  c_bottom_yan constant ST_YAlign := 'bottom';
  c_inside_yan constant ST_YAlign := 'inside';
  c_outside_yan constant ST_YAlign := 'outside';
*/
/*
subtype ST_HeightRule is ploffx_util.t_string;
  --v2.0.0
  c_auto constant ST_HeightRule := 'auto';
  c_exact constant ST_HeightRule := 'exact';
  c_atLeast_hre constant ST_HeightRule := 'atLeast';
*/
/*
  ST_HdrFtr (Header or Footer Type)
  v2.0.0
*/
subtype ST_HdrFtr is ploffx_util.t_string;
  hdrFtr_default constant ST_HdrFtr := 'default';
  hdrFtr_even constant ST_HdrFtr := 'even';
  hdrFtr_first constant ST_HdrFtr := 'first';
/*
  ST_DocGrid
  v1.3.0
  v2.0.0
*/
subtype ST_DocGrid is ploffx_util.t_string;
  docGrid_default constant ST_DocGrid := 'default';
  docGrid_lines constant ST_DocGrid := 'lines';
  docGrid_linesAndChars constant ST_DocGrid := 'linesAndChars';
  docGrid_snapToChars constant ST_DocGrid := 'snapToChars';
/*
  ST_RestartNumber
  v1.3.0
  v2.0.0
  also from settings.xml
*/
subtype ST_RestartNumber is ploffx_util.t_string;
  restartNum_continous constant ST_RestartNumber := 'continous';
  restartNum_eachPage constant ST_RestartNumber := 'eachPage';
  restartNum_eachSect constant ST_RestartNumber := 'eachSect';
/*
  ST_EdnPos
  v1.3.0
  v2.0.0
  also from settings.xml
*/
subtype ST_EdnPos is ploffx_util.t_string;
  ednPos_docEnd constant ST_EdnPos := 'docEnd';
  ednPos_sectEnd constant ST_EdnPos := 'sectEnd';
/*
  ST_FtnPos
  v1.3.0
  v2.0.0
*/
subtype ST_FtnPos is ploffx_util.t_string;
  ftnPos_beneathText constant ST_FtnPos := 'beneathText';
  ftnPos_docEnd constant ST_FtnPos := 'docEnd';
  ftnPos_pageBottom constant ST_FtnPos := 'pageBottom';
  ftnPos_sectEnd constant ST_FtnPos := 'sectEnd';
/*
  ST_PageBorderDisplay
  v1.3.0
  v2.0.0
*/
subtype ST_PageBorderDisplay is ploffx_util.t_string;
  pageBorderDisp_allPages constant ST_PageBorderDisplay := 'allPages';
  pageBorderDisp_firstPage constant ST_PageBorderDisplay := 'firstPage';
  pageBorderDisp_noFirstPage constant ST_PageBorderDisplay := 'noFirstPage';
/*
  ST_PageBorderOffset
  v1.3.0
  v.2.0.0
*/
subtype ST_PageBorderOffset is ploffx_util.t_string;
  pageBorderOffset_page constant ST_PageBorderOffset := 'page';
  pageBorderOffset_text constant ST_PageBorderOffset := 'text';
/*
  ST_PageBorderZOrder
  v1.3.0
  v2.0.0
*/
subtype ST_PageBorderZOrder is ploffx_util.t_string;
  pageBorderZOrder_back constant ST_PageBorderZOrder := 'back';
  pageBorderZOrder_front constant ST_PageBorderZOrder := 'front';
/*
  ST_SectionMark
  v1.3.0
  v2.0.0
*/
subtype ST_SectionMark is ploffx_util.t_string;
  sectMark_continous constant ST_SectionMark :='continous';
  sectMark_evenPage constant ST_SectionMark := 'evenPage';
  sectMark_nextColumn constant ST_SectionMark := 'nextColumn';
  sectMark_nextPage constant ST_SectionMark := 'nextPage';
  sectMark_oddPage constant ST_SectionMark := 'oddPage';
/*
  ST_TabJc
  v2.0.0
*/
subtype ST_TabJc is ploffx_util.t_string;
  tabJc_clear constant ST_TabJc := 'clear';
  tabJc_start constant ST_TabJc := 'start';
  tabJc_center constant ST_TabJc := 'center';
  tabJc_end constant ST_TabJc := 'end';
  tabJc_decimal constant ST_TabJc := 'decimal';
  tabJc_bar constant ST_TabJc := 'bar';
  tabJc_num constant ST_TabJc := 'num';
/*
  ST_TabTlc
  v2.0.0
*/
subtype ST_TabTlc is ploffx_util.t_string;
  tabTlc_none constant ST_TabTlc := 'none';
  tabTlc_dot constant ST_TabTlc := 'dot';
  tabTlc_hyphen constant ST_TabTlc := 'hyphen';
  tabTlc_underscore constant ST_TabTlc := 'underscore';
  tabTlc_heavy constant ST_TabTlc := 'heavy';
  tabTlc_middleDot constant ST_TabTlc := 'middleDot';

/*
--ST_TextAlignment
subtype ST_TextAlignment is ploffx_util.t_string;
  --v2.0.0
  c_top_tat constant ST_TextAlignment := 'top';
  c_center_tat constant ST_TextAlignment := 'center';
  c_baseline_tat constant ST_TextAlignment := 'baseline';
  c_bottom_tat constant ST_TextAlignment := 'bottom';
  c_auto_tat constant ST_TextAlignment := 'auto';
*/
/*
  ST_TextboxTightWrap
  v2.0.0
*/
subtype ST_TextboxTightWrap is ploffx_util.t_string;
  txtBTightWrap_none constant ST_TextboxTightWrap := 'none';
  txtBTightWrap_allLines constant ST_TextboxTightWrap := 'allLines';
  txtBTightWrap_firstAndLastLine constant ST_TextboxTightWrap := 'firstAndLastLine';
  txtBTightWrap_firstLineOnly constant ST_TextboxTightWrap := 'firstLineOnly';
  txtBTightWrap_lastLineOnly constant ST_TextboxTightWrap := 'lastLineOnly';
/*
  ST_LevelSuffix
  v2.0.0
*/
subtype ST_LevelSuffix is ploffx_util.t_string;
  levelSuffix_tab constant ST_LevelSuffix := 'tab';
  levelSuffix_nothing constant ST_LevelSuffix := 'nothing';
  levelSuffix_space constant ST_LevelSuffix := 'space';
/*
  ST_TblWidth
  v2.0.0
*/
subtype ST_TblWidth is ploffx_util.t_string;
  tblWidth_nil constant ST_TblWidth := 'nil';
  tblWidth_pct constant ST_TblWidth := 'pct';
  tblWidth_dxa constant ST_TblWidth := 'dxa';
  tblWidth_auto constant ST_TblWidth := 'auto';
/*
  ST_TblOverlap
  v2.0.0
*/
subtype ST_TblOverlap  is ploffx_util.t_string;
  tblOverlap_never   constant ST_TblOverlap :='never';
  tblOverlap_overlap   constant ST_TblOverlap :='overlap';
/*
  ST_JcTable
  v2.0.0
*/
subtype ST_JcTable is ploffx_util.t_string;
  jcTable_center   constant ST_JcTable :='center';
  jcTable_end   constant ST_JcTable :='end';
  jcTable_start   constant ST_JcTable :='start';
/*
  ST_TblLayoutType
  v2.0.0
*/
subtype ST_TblLayoutType is ploffx_util.t_string;
  tblLayoutType_fixed constant ST_TblLayoutType :='fixed';
  tblLayoutType_autofit constant ST_TblLayoutType :='autofit';
/*
--ST_HMerge
subtype ST_HMerge is ploffx_util.t_string;
  --v2.0.0
  c_continue constant ST_HMerge :='continue';
  c_restart constant ST_HMerge :='restart';

--ST_Merge
subtype ST_Merge is ploffx_util.t_string;
  --v2.0.0
  c_continue constant ST_Merge :='continue';
  c_restart constant ST_Merge :='restart';
*/
/*
  ST_SdtDateMappingType
  v3.0.0
*/
subtype ST_SdtDateMappingType is ploffx_util.t_string;
  dateMapping_date constant ST_SdtDateMappingType := 'date';
  dateMapping_dateTime constant ST_SdtDateMappingType := 'dateTime';
  dateMapping_text constant ST_SdtDateMappingType := 'text';
/*
  ST_CalendarType
  v3.0.0
*/
subtype ST_CalendarType is ploffx_util.t_string;
  calendarT_gregorian constant ST_CalendarType := 'gregorian';
  calendarT_gregorianXlitEnglish constant ST_CalendarType := 'gregorianXlitEnglish';
  calendarT_gregorianXlitFrench constant ST_CalendarType := 'gregorianXlitFrench';
  calendarT_hebrew constant ST_CalendarType := 'hewbrew';
  calendarT_hijri constant ST_CalendarType := 'hijri';
  calendarT_japan constant ST_CalendarType := 'japan';
  calendarT_korea constant ST_CalendarType := 'korea';
  calendarT_saka constant ST_CalendarType := 'saka';
  calendarT_taiwan constant ST_CalendarType := 'taiwan';
  calendarT_thai constant ST_CalendarType := 'thai';
/*
  ST_StyleType
  v2.0.0
*/
subtype ST_StyleType is ploffx_util.t_string;
  styleT_paragraph constant ST_StyleType := 'paragraph';
  styleT_character constant ST_StyleType := 'character';
  styleT_table constant ST_StyleType := 'table';
  styleT_numbering constant ST_StyleType := 'numbering';

/* Drawing.xml */

/*
  ST_BlipCompression
*/
subtype ST_BlipCompression is plx_sc.normalv2;
  blipComp_email constant ST_BlipCompression := 'email';
  blipComp_screen constant ST_BlipCompression := 'screen';
  blipComp_print constant ST_BlipCompression := 'print';
  blipComp_hqprint constant ST_BlipCompression := 'hqprint';
  blipComp_none constant ST_BlipCompression := 'none';
/*
  ST_ShapeType
*/
subtype ST_ShapeType is plx_sc.normalv2;
  --line
  --lineInv
  --triangle
  --rtTriangle
  shapeType_rect constant ST_ShapeType := 'rect';
  --diamond
  ---....
/*
  ST_EditAs
*/
subtype ST_EditAs is plx_sc.normalv2;
  editAs_twoCell constant ST_EditAs := 'twoCell';
  editAs_oneCell constant ST_EditAs := 'oneCell';
  editAs_absolute constant ST_EditAs := 'absolute';

/* Fonttable.xml */
/*
  ST_Charset
    Character Set Supported By Font Values
*/
subtype ST_Charset is ploffx_util.t_string;
  charset_00 constant ST_Charset := '00'; -- 0x00: Specifies the ANSI character set.
  charset_01 constant ST_Charset := '01'; -- 0x01: Specifies the default character set.
  charset_02 constant ST_Charset := '02'; -- 0x02: Specifies the Symbol character set.
  charset_4D constant ST_Charset := '4D'; -- 0x4D: Specifies a Macintosh (Standard Roman) character set.
  charset_80 constant ST_Charset := '80'; -- 0x80: Specifies the JIS character set.
  charset_81 constant ST_Charset := '81'; -- 0x81: Specifies the Hangul character set.
  charset_82 constant ST_Charset := '82'; -- 0x82: Specifies a Johab character set.
  charset_86 constant ST_Charset := '86'; -- 0x86: Specifies the GB-2312 character set.
  charset_88 constant ST_Charset := '88'; -- 0x88: Specifies the Chinese Big Five character set.
  charset_A1 constant ST_Charset := 'A1'; -- 0xA1: Specifies a Greek character set.
  charset_A2 constant ST_Charset := 'A2'; -- 0xA2: Specifies a Turkish character set.
  charset_A3 constant ST_Charset := 'A3'; -- 0xA3: Specifies a Vietnamese character set.
  charset_B1 constant ST_Charset := 'B1'; -- 0xB1: Specifies a Hebrew character set.
  charset_B2 constant ST_Charset := 'B2'; -- 0xB2: Specifies an Arabic character set.
  charset_BA constant ST_Charset := 'BA'; -- 0xBA: Specifies a Baltic character set.
  charset_CC constant ST_Charset := 'CC'; -- 0xCC: Specifies a Russian character set.
  charset_DE constant ST_Charset := 'DE'; -- 0xDE: Specifies a Thai character set.
  charset_EE constant ST_Charset := 'EE'; -- 0xEE: Specifies an Eastern European character set.
  charset_FF constant ST_Charset := 'FF'; -- 0xFF: Specifies an OEM character set not defined by this Office Open XML Standard.
-- Any other value Application-defined, may be ignored.
/*
  Font Family Value
*/
subtype ST_FontFamily is ploffx_util.t_string;
  fontFamily_decorative constant ST_FontFamily := 'decorative'; --Specifies the Novelty font family.
  fontFamily_modern constant ST_FontFamily := 'modern'; --Specifies a monospace font with or without serifs
  fontFamily_roman constant ST_FontFamily := 'roman'; --Specifies a proportional font with serifs.
  fontFamily_script constant ST_FontFamily := 'script'; --Specifies a script font designed to mimic the appearance of handwriting.
  fontFamily_swiss constant ST_FontFamily := 'swiss'; --Specifies a proportional font without serifs.
  fontFamily_auto constant ST_FontFamily := 'auto'; --Specifies that information about a font's font family does not exist.
/*
  Font Pitch Value
*/
subtype ST_Pitch is ploffx_util.t_string;
  pitch_fixed constant ST_Pitch := 'fixed'; --Specifies that this is a fixed width font.
  pitch_variable constant ST_Pitch := 'variable'; --Specifies that this is a proportional width font.
  pitch_default constant ST_Pitch := 'default'; -- Specifies that no information is available about the pitch of a font.

/* Prels.xml */
/*
  ST_TargetMode
*/
subtype ST_TargetMode is plx_sc.normalv2;
  targetMode_External constant ST_TargetMode := 'External';
  targetMode_Internal constant ST_TargetMode := 'Internal';

/* Settings.xml */
/*
  ST_Zoom
    Magnification Preset Values
*/
subtype ST_Zoom is ploffx_util.t_string;
  zoom_none constant ST_Zoom := 'none'; --No Preset Magnification
  zoom_fullPage constant ST_Zoom := 'fullPage'; --Display One Full Page
  zoom_bestFit constant ST_Zoom := 'bestFit'; --Display Page Width
  zoom_textFit constant ST_Zoom := 'textFit'; --Display Text Width
/*
  ST_CaptionPos
  v1.3.0
*/
subtype ST_CaptionPos is ploffx_util.t_string;
  captionPos_above constant ST_CaptionPos := 'above';
  captionPos_below constant ST_CaptionPos := 'below';
  captionPos_left constant ST_CaptionPos := 'left';
  captionPos_right constant ST_CaptionPos := 'right';
/*
  ST_ChapterSep
  v1.3.0
*/
subtype ST_ChapterSep is ploffx_util.t_string;
  chapterSep_colon constant ST_ChapterSep := 'colon';
  chapterSep_emDash constant ST_ChapterSep := 'emDash';
  chapterSep_enDash constant ST_ChapterSep := 'enDash';
  chapterSep_hyphen constant ST_ChapterSep := 'hyphen';
  chapterSep_period constant ST_ChapterSep := 'period';
/*
  ST_CharacterSpacing
  v1.3.0
*/
subtype ST_CharacterSpacing is ploffx_util.t_string;
  chrSpc_cmpPunctuation constant ST_CharacterSpacing := 'compressPunctuation';
  chrSpc_cmpPunctAndJapaneseKana constant ST_CharacterSpacing := 'compressPunctuationAndJapaneseKana';
  chrSpc_doNotCompress constant ST_CharacterSpacing := 'doNotCompress';
/*
  ST_ColorSchemeIndex
*/
subtype ST_ColorSchemeIndex is ploffx_util.t_string;
  colorSchemeI_accent1 constant ST_ColorSchemeIndex := 'accent1';
  colorSchemeI_accent2 constant ST_ColorSchemeIndex := 'accent2';
  colorSchemeI_accent3 constant ST_ColorSchemeIndex := 'accent3';
  colorSchemeI_accent4 constant ST_ColorSchemeIndex := 'accent4';
  colorSchemeI_accent5 constant ST_ColorSchemeIndex := 'accent5';
  colorSchemeI_accent6 constant ST_ColorSchemeIndex := 'accent6';
  colorSchemeI_dark1 constant ST_ColorSchemeIndex := 'dark1';
  colorSchemeI_dark2 constant ST_ColorSchemeIndex := 'dark2';
  colorSchemeI_followedHyperlink constant ST_ColorSchemeIndex := 'followedHyperlink';
  colorSchemeI_hyperlink constant ST_ColorSchemeIndex := 'hyperlink';
  colorSchemeI_light1 constant ST_ColorSchemeIndex := 'light1';
  colorSchemeI_light2 constant ST_ColorSchemeIndex := 'light2';
/*
  ST_DocType
  v1.3.0
*/
subtype ST_DocType is ploffx_util.t_string;
  docT_eMail constant ST_DocType := 'eMail';
  docT_letter constant ST_DocType := 'letter';
  docT_notSpecified constant ST_DocType := 'notSpecified';
/*
  ST_View
*/
subtype ST_View is ploffx_util.t_string;
  view_masterPages constant ST_View := 'masterPages';
  view_none constant ST_View := 'none';
  view_normal constant ST_View := 'normal';
  view_outline constant ST_View := 'outline';
  view_print constant ST_View := 'print';
  view_web constant ST_View := 'web';
/*
  ST_MailMergeDest
  v1.3.0
*/
subtype ST_MailMergeDest is ploffx_util.t_string;
  mailMrgDest_email constant ST_MailMergeDest := 'email';
  mailMrgDest_fax constant ST_MailMergeDest := 'fax';
  mailMrgDest_newDocument constant ST_MailMergeDest := 'newDocument';
  mailMrgDest_printer constant ST_MailMergeDest := 'printer';
/*
  ST_MailMergeDocType
  v1.3.0
*/
  subtype ST_MailMergeDocType is ploffx_util.t_string;
  mailMrgDocT_catalog constant ST_MailMergeDocType := 'catalog';
  mailMrgDocT_email constant ST_MailMergeDocType := 'email';
  mailMrgDocT_envelopes constant ST_MailMergeDocType := 'envelopes';
  mailMrgDocT_fax constant ST_MailMergeDocType := 'fax';
  mailMrgDocT_formLetters constant ST_MailMergeDocType := 'formLetters';
  mailMrgDocT_mailingLabels constant ST_MailMergeDocType := 'mailingLabels';
/*
  ST_MailMergeSourceType
  v1.3.0
*/
subtype ST_MailMergeSourceType is ploffx_util.t_string;
  mailMrgSrcT_addressBook constant ST_MailMergeSourceType := 'addressBook';
  mailMrgSrcT_database constant ST_MailMergeSourceType := 'database';
  mailMrgSrcT_document1 constant ST_MailMergeSourceType := 'document1';
  mailMrgSrcT_document2 constant ST_MailMergeSourceType := 'document2';
  mailMrgSrcT_email constant ST_MailMergeSourceType := 'email';
  mailMrgSrcT_legacy constant ST_MailMergeSourceType := 'legacy';
  mailMrgSrcT_master constant ST_MailMergeSourceType := 'master';
  mailMrgSrcT_native constant ST_MailMergeSourceType := 'native';
  mailMrgSrcT_text constant ST_MailMergeSourceType := 'text';
/*
  ST_MailMergeOdsoFMDFieldType
  v1.3.0
*/
subtype ST_MailMergeOdsoFMDFieldType is ploffx_util.t_string;
  mailMergeFieldT_dbColumn constant ST_MailMergeOdsoFMDFieldType := 'dbColumn';
  mailMergeFieldT_null constant ST_MailMergeOdsoFMDFieldType := 'null';
/*
  ST_BreakBin
  v1.3.0
*/
subtype ST_BreakBin is ploffx_util.t_string;
  breakBin_after constant ST_BreakBin := 'after';
  breakBin_before constant ST_BreakBin := 'before';
  breakBin_repeat constant ST_BreakBin := 'repeat';
/*
  ST_BreakBinSub
  v1.3.0
*/
subtype ST_BreakBinSub is ploffx_util.t_string;
  breakBinSub_minmin constant ST_BreakBinSub := '--';
  breakBinSub_minplus constant ST_BreakBinSub := '-+';
  breakBinSub_plusplus constant ST_BreakBinSub := '++';
/*
  ST_LimLoc
  v1.3.0
*/
subtype ST_LimLoc is ploffx_util.t_string;
  limLoc_subSup constant ST_LimLoc := 'subSup';
  limLoc_undOvr constant ST_LimLoc := 'undOvr';

/* SharedStrings.xml */
/*
  ST_PhoneticType
*/
/*
subtype ST_PhoneticType is ploffx_util.t_string;
  phonT_fullwidthKatakana constant ST_PhoneticType := 'fullwidthKatakana';
  phonT_halfwidthKatakana constant ST_PhoneticType := 'halfwidthKatakana';
  phonT_Hiragana constant ST_PhoneticType := 'Hiragana';
  phonT_noConversion constant ST_PhoneticType := 'noConversion';
  */
/*
  ST_PhoneticAlignment
*/
/*
subtype ST_PhoneticAlignment is ploffx_util.t_string;
  phonA_center constant ST_PhoneticAlignment := 'center';
  phonA_ditributed constant ST_PhoneticAlignment := 'distributed';
  phonA_left constant ST_PhoneticAlignment := 'left';
  phonA_noControl constant ST_PhoneticAlignment := 'noControl';
*/
/* Sheet.xml */
/*
  ST_CellType
  v2.0.0
*/
/*subtype ST_CellType is plx_sc.normalv2;
  cellT_b constant ST_CellType := 'b'; --boolean
  cellT_e constant ST_CellType := 'e'; --error
  cellT_inlineStr constant ST_CellType := 'inlineStr'; --inline string
  cellT_n constant ST_CellType := 'n'; --number
  cellT_s constant ST_CellType := 's'; --shared string
  cellT_str constant ST_CellType := 'str'; --string*/
/*
  ST_Pane
*/
/*
subtype ST_Pane is plx_sc.normalv2;
  pane_bottomRight constant ST_Pane := 'bottomRight';
  pane_topRight constant ST_Pane := 'topRight';
  pane_bottomLeft constant ST_Pane := 'bottomLeft';
  pane_topLeft constant ST_Pane := 'topLeft';
*/
/*
  ST_PaneState
*/
/*
subtype ST_PaneState is plx_sc.normalv2;
  paneS_split constant ST_PaneState := 'split';
  paneS_frozen constant ST_PaneState := 'frozen';
  paneS_frozenSplit constant ST_PaneState := 'frozenSplit';
*/
/*
  ST_DataValidationType
*/
/*
subtype ST_DataValidationType is plx_sc.normalv2;
  dataValT_none constant ST_DataValidationType := 'none';
  dataValT_whole constant ST_DataValidationType := 'whole';
  dataValT_decimal constant ST_DataValidationType := 'decimal';
  dataValT_list constant ST_DataValidationType := 'list';
  dataValT_date constant ST_DataValidationType := 'date';
  dataValT_time constant ST_DataValidationType := 'time';
  dataValT_textLength constant ST_DataValidationType := 'textLength';
  dataValT_custom constant ST_DataValidationType := 'custom';
  */
/*
  ST_DataValidationErrorStyle
*/
/*
subtype ST_DataValidationErrorStyle is plx_sc.normalv2;
  dataValErr_stop constant ST_DataValidationErrorStyle := 'stop';
  dataValErr_warning constant ST_DataValidationErrorStyle := 'warning';
  dataValErr_information constant ST_DataValidationErrorStyle := 'information';
*/
/*
  ST_DataValidationImeMode
*/
/*
subtype ST_DataValidationImeMode is plx_sc.normalv2;
  dataValIme_noControl constant ST_DataValidationImeMode := 'noControl';
  dataValIme_off constant ST_DataValidationImeMode := 'off';
  dataValIme_on constant ST_DataValidationImeMode := 'on';
  dataValIme_disabled constant ST_DataValidationImeMode := 'disabled';
  dataValIme_hiragana constant ST_DataValidationImeMode := 'hiragana';
  dataValIme_fullKatakana constant ST_DataValidationImeMode := 'fullKatakana';
  dataValIme_halfKatakana constant ST_DataValidationImeMode := 'halfKatakana';
  dataValIme_fullAlpha constant ST_DataValidationImeMode := 'fullAlpha';
  dataValIme_halfAlpha constant ST_DataValidationImeMode := 'halfAlpha';
  dataValIme_fullHangul constant ST_DataValidationImeMode := 'fullHangul';
  dataValIme_halfHangul constant ST_DataValidationImeMode := 'halfHangul';
  */
/*
  ST_DataValidationOperator
*/
/*
subtype ST_DataValidationOperator is plx_sc.normalv2;
  dataValOp_between constant ST_DataValidationOperator := 'between';
  dataValOp_notBetween constant ST_DataValidationOperator := 'notBetween';
  dataValOp_equal constant ST_DataValidationOperator := 'equal';
  dataValOp_notEqual constant ST_DataValidationOperator := 'notEqual';
  dataValOp_lessThan constant ST_DataValidationOperator := 'lessThan';
  dataValOp_lessThanOrEqual constant ST_DataValidationOperator := 'lessThanOrEqual';
  dataValOp_greaterThan constant ST_DataValidationOperator := 'greaterThan';
  dataValOp_greaterThanOrEqual constant ST_DataValidationOperator := 'greaterThanOrEqual';
*/
/*
  ST_Orientation
*/
/*
subtype ST_Orientation is plx_sc.normalv2;
  orient_default constant ST_Orientation := 'default';
  orient_portrait constant ST_Orientation := 'portrait';
  orient_landscape constant ST_Orientation := 'landscape';
*/
/*
  ST_PageOrder
*/
/*
subtype ST_PageOrder is plx_sc.normalv2;
  pageOrd_downThenOver constant ST_PageOrder := 'downThenOver';
  pageOrd_overThenDown constant ST_PageOrder := 'overThenDown';
*/
/*
  ST_CellComments
*/
/*
subtype ST_CellComments is plx_sc.normalv2;
  cellComm_none constant ST_CellComments := 'none';
  cellComm_asDisplayed constant ST_CellComments := 'asDisplayed';
  cellComm_atEnd constant ST_CellComments := 'atEnd';
  */
/*
  ST_PrintError
*/
/*
subtype ST_PrintError is plx_sc.normalv2;
  printErr_displayed constant ST_PrintError := 'displayed';
  printErr_blank constant ST_PrintError := 'blank';
  printErr_dash constant ST_PrintError := 'dash';
  printErr_NA constant ST_PrintError := 'NA';
  */
/* Theme.xml */
/*
  ST_SchemeColorVal
*/
subtype ST_SchemeColorVal is ploffx_util.t_string;
  schemeCol_accent1 constant ST_SchemeColorVal := 'accent1';
  schemeCol_accent2 constant ST_SchemeColorVal := 'accent2';
  schemeCol_accent3 constant ST_SchemeColorVal := 'accent3';
  schemeCol_accent4 constant ST_SchemeColorVal := 'accent4';
  schemeCol_accent5 constant ST_SchemeColorVal := 'accent5';
  schemeCol_accent6 constant ST_SchemeColorVal := 'accent6';
  schemeCol_bg1 constant ST_SchemeColorVal := 'bg1';
  schemeCol_bg2 constant ST_SchemeColorVal := 'bg2';
  schemeCol_dk1 constant ST_SchemeColorVal := 'dk1';
  schemeCol_dk2 constant ST_SchemeColorVal := 'dk2';
  schemeCol_folHlink constant ST_SchemeColorVal := 'folHlink';
  schemeCol_hlink constant ST_SchemeColorVal := 'hlink';
  schemeCol_lt1 constant ST_SchemeColorVal := 'lt1';
  schemeCol_lt2 constant ST_SchemeColorVal := 'lt2';
  schemeCol_phClr constant ST_SchemeColorVal := 'phClr';
  schemeCol_tx1 constant ST_SchemeColorVal := 'tx1';
  schemeCol_tx2 constant ST_SchemeColorVal := 'tx2';
/*
  ST_PathShadeType
*/
subtype ST_PathShadeType is ploffx_util.t_string;
  pathShadeT_circle constant ST_PathShadeType := 'circle';
  pathShadeT_rect constant ST_PathShadeType := 'rect';
  pathShadeT_shape constant ST_PathShadeType := 'shape';
/*
  ST_TileFlipMode
*/
subtype ST_TileFlipMode is ploffx_util.t_string;
  tileFlipM_none constant ST_TileFlipMode := 'none';
  tileFlipM_x constant ST_TileFlipMode := 'x';
  tileFlipM_y constant ST_TileFlipMode := 'y';
  tileFlipM_xy constant ST_TileFlipMode := 'xy';
/*
  ST_PresetLineDashVal
*/
subtype ST_PresetLineDashVal is ploffx_util.t_string;
  presetLineDash_solid constant ST_PresetLineDashVal := 'solid';
  presetLineDash_dot constant ST_PresetLineDashVal := 'dot';
  presetLineDash_dash constant ST_PresetLineDashVal := 'dash';
  presetLineDash_lgDash constant ST_PresetLineDashVal := 'lgDash';
  presetLineDash_dashDot constant ST_PresetLineDashVal := 'dashDot';
  presetLineDash_lgDashDot constant ST_PresetLineDashVal := 'lgDashDot';
  presetLineDash_lgDashDotDot constant ST_PresetLineDashVal := 'lgDashDotDot';
  presetLineDash_sysDash constant ST_PresetLineDashVal := 'sysDash';
  presetLineDash_sysDot constant ST_PresetLineDashVal := 'sysDot';
  presetLineDash_sysDashDot constant ST_PresetLineDashVal := 'sysDashDot';
  presetLineDash_sysDashDotDot constant ST_PresetLineDashVal := 'sysDashDotDot';
/*
  ST_LineCap
*/
subtype ST_LineCap is ploffx_util.t_string;
  lineCap_rnd constant ST_LineCap := 'rnd';
  lineCap_sq constant ST_LineCap := 'sq';
  lineCap_flat constant ST_LineCap := 'flat';
/*
 ST_CompoundLine
*/
subtype ST_CompoundLine is ploffx_util.t_string;
  compundLine_sng constant ST_CompoundLine := 'sng';
  compundLine_dbl constant ST_CompoundLine := 'dbl';
  compundLine_thickThin constant ST_CompoundLine := 'thickThin';
  compundLine_thinThick constant ST_CompoundLine := 'thinThick';
  compundLine_tri constant ST_CompoundLine := 'tri';
/*
  ST_PenAlignment
*/
subtype ST_PenAlignment is ploffx_util.t_string;
  penAlign_ctr constant ST_PenAlignment := 'ctr';
  penAlign_in constant ST_PenAlignment := 'in';
/*
  ST_RectAlignment
*/
subtype ST_RectAlignment is ploffx_util.t_string;
  rectAlign_tl constant ST_RectAlignment := 'tl';
  rectAlign_t constant ST_RectAlignment := 't';
  rectAlign_tr constant ST_RectAlignment := 'tr';
  rectAlign_l constant ST_RectAlignment := 'tl';
  rectAlign_ctr constant ST_RectAlignment := 'ctr';
  rectAlign_r constant ST_RectAlignment := 'r';
  rectAlign_bl constant ST_RectAlignment := 'bl';
  rectAlign_b constant ST_RectAlignment := 'b';
  rectAlign_br constant ST_RectAlignment := 'br';
/*
  ST_PresetCameraType
*/
subtype ST_PresetCameraType is ploffx_util.t_string;
  c_legacyObliqueTopLeft constant ST_PresetCameraType := 'legacyObliqueTopLeft';
  c_legacyObliqueTop constant ST_PresetCameraType := 'legacyObliqueTop';
  c_legacyObliqueTopRight constant ST_PresetCameraType := 'legacyObliqueTopRight';
  c_legacyObliqueLeft constant ST_PresetCameraType := 'legacyObliqueLeft';
  c_legacyObliqueFront constant ST_PresetCameraType := 'legacyObliqueFront';
  c_legacyObliqueRight constant ST_PresetCameraType := 'legacyObliqueRight';
  c_legacyObliqueBottomLeft constant ST_PresetCameraType := 'legacyObliqueBottomLeft';
  c_legacyObliqueBottom constant ST_PresetCameraType := 'legacyObliqueBottom';
  c_legacyObliqueBottomRight constant ST_PresetCameraType := 'legacyObliqueBottomRight';
  c_legacyPerspectiveTopLeft constant ST_PresetCameraType := 'legacyPerspectiveTopLeft';
  c_legacyPerspectiveTop constant ST_PresetCameraType := 'legacyPerspectiveTop';
  c_legacyPerspectiveTopRight constant ST_PresetCameraType := 'legacyPerspectiveTopRight';
  c_legacyPerspectiveLeft constant ST_PresetCameraType := 'legacyPerspectiveLeft';
  c_legacyPerspectiveFront constant ST_PresetCameraType := 'legacyPerspectiveFront';
  c_legacyPerspectiveRight constant ST_PresetCameraType := 'legacyPerspectiveRight';
  c_legacyPerspectiveBottomLeft constant ST_PresetCameraType := 'legacyPerspectiveBottomLeft';
  c_legacyPerspectiveBottom constant ST_PresetCameraType := 'legacyPerspectiveBottom';
  c_legacyPerspectiveBottomRight constant ST_PresetCameraType := 'legacyPerspectiveBottomRight';
  c_orthographicFront constant ST_PresetCameraType := 'orthographicFront';
  c_isometricTopUp constant ST_PresetCameraType := 'isometricTopUp';
  c_isometricTopDown constant ST_PresetCameraType := 'isometricTopDown';
  c_isometricBottomUp constant ST_PresetCameraType := 'isometricBottomUp';
  c_isometricBottomDown constant ST_PresetCameraType := 'isometricBottomDown';
  c_isometricLeftUp constant ST_PresetCameraType := 'isometricLeftUp';
  c_isometricLeftDown constant ST_PresetCameraType := 'isometricLeftDown';
  c_isometricRightUp constant ST_PresetCameraType := 'isometricRightUp';
  c_isometricRightDown constant ST_PresetCameraType := 'isometricRightDown';
  c_isometricOffAxis1Left constant ST_PresetCameraType := 'isometricOffAxis1Left';
  c_isometricOffAxis1Right constant ST_PresetCameraType := 'isometricOffAxis1Right';
  c_isometricOffAxis1Top constant ST_PresetCameraType := 'isometricOffAxis1Top';
  c_isometricOffAxis2Left constant ST_PresetCameraType := 'isometricOffAxis2Left';
  c_isometricOffAxis2Right constant ST_PresetCameraType := 'isometricOffAxis2Right';
  c_isometricOffAxis2Top constant ST_PresetCameraType := 'isometricOffAxis2Top';
  c_isometricOffAxis3Left constant ST_PresetCameraType := 'isometricOffAxis3Left';
  c_isometricOffAxis3Right constant ST_PresetCameraType := 'isometricOffAxis3Right';
  c_isometricOffAxis3Bottom constant ST_PresetCameraType := 'isometricOffAxis3Bottom';
  c_isometricOffAxis4Left constant ST_PresetCameraType := 'isometricOffAxis4Left';
  c_isometricOffAxis4Right constant ST_PresetCameraType := 'isometricOffAxis4Right';
  c_isometricOffAxis4Bottom constant ST_PresetCameraType := 'isometricOffAxis4Bottom';
  c_obliqueTopLeft constant ST_PresetCameraType := 'obliqueTopLeft';
  c_obliqueTop constant ST_PresetCameraType := 'obliqueTop';
  c_obliqueTopRight constant ST_PresetCameraType := 'obliqueTopRight';
  c_obliqueLeft constant ST_PresetCameraType := 'obliqueLeft';
  c_obliqueRight constant ST_PresetCameraType := 'obliqueRight';
  c_obliqueBottomLeft constant ST_PresetCameraType := 'obliqueBottomLeft';
  c_obliqueBottom constant ST_PresetCameraType := 'obliqueBottom';
  c_obliqueBottomRight constant ST_PresetCameraType := 'obliqueBottomRight';
  c_perspectiveFront constant ST_PresetCameraType := 'perspectiveFront';
  c_perspectiveLeft constant ST_PresetCameraType := 'perspectiveLeft';
  c_perspectiveRight constant ST_PresetCameraType := 'perspectiveRight';
  c_perspectiveAbove constant ST_PresetCameraType := 'perspectiveAbove';
  c_perspectiveBelow constant ST_PresetCameraType := 'perspectiveBelow';
  c_perspectiveAboveLeftFacing constant ST_PresetCameraType := 'perspectiveAboveLeftFacing';
  c_perspectiveAboveRightFacing constant ST_PresetCameraType := 'perspectiveAboveRightFacing';
  c_perspectiveContrastLeftFac constant ST_PresetCameraType := 'perspectiveContrastingLeftFacing';
  c_perspectiveContrastRightFac constant ST_PresetCameraType := 'perspectiveContrastingRightFacing';
  c_perspectiveHeroicLeftFacing constant ST_PresetCameraType := 'perspectiveHeroicLeftFacing';
  c_perspectiveHeroicRightFacing constant ST_PresetCameraType := 'perspectiveHeroicRightFacing';
  c_perspectiveHeroicExtrLeftFac constant ST_PresetCameraType := 'perspectiveHeroicExtremeLeftFacing';
  c_perspectiveHeroicExtRightFac constant ST_PresetCameraType := 'perspectiveHeroicExtremeRightFacing';
  c_perspectiveRelaxed constant ST_PresetCameraType := 'perspectiveRelaxed';
  c_perspectiveRelaxedModerately constant ST_PresetCameraType := 'perspectiveRelaxedModerately';
/*
  ST_LightRigType
*/
subtype ST_LightRigType is ploffx_util.t_string;
  lightRigT_legacyFlat1 constant ST_LightRigType := 'legacyFlat1';
  lightRigT_legacyFlat2 constant ST_LightRigType := 'legacyFlat2';
  lightRigT_legacyFlat3 constant ST_LightRigType := 'legacyFlat3';
  lightRigT_legacyFlat4 constant ST_LightRigType := 'legacyFlat4';
  lightRigT_legacyNormal1 constant ST_LightRigType := 'legacyNormal1';
  lightRigT_legacyNormal2 constant ST_LightRigType := 'legacyNormal2';
  lightRigT_legacyNormal3 constant ST_LightRigType := 'legacyNormal3';
  lightRigT_legacyNormal4 constant ST_LightRigType := 'legacyNormal4';
  lightRigT_legacyHarsh1 constant ST_LightRigType := 'legacyHarsh1';
  lightRigT_legacyHarsh2 constant ST_LightRigType := 'legacyHarsh2';
  lightRigT_legacyHarsh3 constant ST_LightRigType := 'legacyHarsh3';
  lightRigT_legacyHarsh4 constant ST_LightRigType := 'legacyHarsh4';
  lightRigT_threePt constant ST_LightRigType := 'threePt';
  lightRigT_balanced constant ST_LightRigType := 'balanced';
  lightRigT_soft constant ST_LightRigType := 'soft';
  lightRigT_harsh constant ST_LightRigType := 'harsh';
  lightRigT_flood constant ST_LightRigType := 'flood';
  lightRigT_contrasting constant ST_LightRigType := 'contrasting';
  lightRigT_morning constant ST_LightRigType := 'morning';
  lightRigT_sunrise constant ST_LightRigType := 'sunrise';
  lightRigT_sunset constant ST_LightRigType := 'sunset';
  lightRigT_chilly constant ST_LightRigType := 'chilly';
  lightRigT_freezing constant ST_LightRigType := 'freezing';
  lightRigT_flat constant ST_LightRigType := 'flat';
  lightRigT_twoPt constant ST_LightRigType := 'twoPt';
  lightRigT_glow constant ST_LightRigType := 'glow';
  lightRigT_brightRoom constant ST_LightRigType := 'brightRoom';
/*
  ST_LightRigDirection
*/
subtype ST_LightRigDirection is ploffx_util.t_string;
  lightRigDir_tl constant ST_LightRigDirection := 'tl';
  lightRigDir_t constant ST_LightRigDirection := 't';
  lightRigDir_tr constant ST_LightRigDirection := 'tr';
  lightRigDir_l constant ST_LightRigDirection := 'tl';
  lightRigDir_ctr constant ST_LightRigDirection := 'ctr';
  lightRigDir_r constant ST_LightRigDirection := 'r';
  lightRigDir_bl constant ST_LightRigDirection := 'bl';
  lightRigDir_b constant ST_LightRigDirection := 'b';
  lightRigDir_br constant ST_LightRigDirection := 'br';

/*
  ST_BevelPresetType
*/
subtype ST_BevelPresetType is ploffx_util.t_string;
  bevelPresetT_relaxedInset constant ST_BevelPresetType := 'relaxedInset';
  bevelPresetT_circle constant ST_BevelPresetType := 'circle';
  bevelPresetT_slope constant ST_BevelPresetType := 'slope';
  bevelPresetT_cross constant ST_BevelPresetType := 'cross';
  bevelPresetT_angle constant ST_BevelPresetType := 'angle';
  bevelPresetT_softRound constant ST_BevelPresetType := 'softRound';
  bevelPresetT_convex constant ST_BevelPresetType := 'convex';
  bevelPresetT_coolSlant constant ST_BevelPresetType := 'coolSlant';
  bevelPresetT_divot constant ST_BevelPresetType := 'divot';
  bevelPresetT_riblet constant ST_BevelPresetType := 'riblet';
  bevelPresetT_hardEdge constant ST_BevelPresetType := 'hardEdge';
  bevelPresetT_artDeco constant ST_BevelPresetType := 'artDeco';
/*
  ST_PresetMaterialType
*/
subtype ST_PresetMaterialType is ploffx_util.t_string;
  presetMatT_legacyMatte constant ST_PresetMaterialType := 'legacyMatte';
  presetMatT_legacyPlastic constant ST_PresetMaterialType := 'legacyPlastic';
  presetMatT_legacyMetal constant ST_PresetMaterialType := 'legacyMetal';
  presetMatT_legacyWireframe constant ST_PresetMaterialType := 'legacyWireframe';
  presetMatT_matte constant ST_PresetMaterialType := 'matte';
  presetMatT_plastic constant ST_PresetMaterialType := 'plastic';
  presetMatT_metal constant ST_PresetMaterialType := 'metal';
  presetMatT_warmMatte constant ST_PresetMaterialType := 'warmMatte';
  presetMatT_translucentPowder constant ST_PresetMaterialType := 'translucentPowder';
  presetMatT_powder constant ST_PresetMaterialType := 'powder';
  presetMatT_dkEdge constant ST_PresetMaterialType := 'dkEdge';
  presetMatT_softEdge constant ST_PresetMaterialType := 'softEdge';
  presetMatT_clear constant ST_PresetMaterialType := 'clear';
  presetMatT_flat constant ST_PresetMaterialType := 'flat';
  presetMatT_softmetal constant ST_PresetMaterialType := 'softmetal';
/*
  ST_SystemColorVal
*/
subtype ST_SystemColorVal is ploffx_util.t_string;
  sysColV_scrollBar constant ST_SystemColorVal := 'scrollBar';
  sysColV_background constant ST_SystemColorVal := 'background';
  sysColV_activeCaption constant ST_SystemColorVal := 'activeCaption';
  sysColV_inactiveCaption constant ST_SystemColorVal := 'inactiveCaption';
  sysColV_menu constant ST_SystemColorVal := 'menu';
  sysColV_window constant ST_SystemColorVal := 'window';
  sysColV_windowFrame constant ST_SystemColorVal := 'windowFrame';
  sysColV_menuText constant ST_SystemColorVal := 'menuText';
  sysColV_windowText constant ST_SystemColorVal := 'windowText';
  sysColV_captionText constant ST_SystemColorVal := 'captionText';
  sysColV_activeBorder constant ST_SystemColorVal := 'activeBorder';
  sysColV_inactiveBorder constant ST_SystemColorVal := 'inactiveBorder';
  sysColV_appWorkspace constant ST_SystemColorVal := 'appWorkspace';
  sysColV_highlight constant ST_SystemColorVal := 'highlight';
  sysColV_highlightText constant ST_SystemColorVal := 'highlightText';
  sysColV_btnFace constant ST_SystemColorVal := 'btnFace';
  sysColV_btnShadow constant ST_SystemColorVal := 'btnShadow';
  sysColV_grayText constant ST_SystemColorVal := 'grayText';
  sysColV_btnText constant ST_SystemColorVal := 'btnText';
  sysColV_inactiveCaptionText constant ST_SystemColorVal := 'inactiveCaptionText';
  sysColV_btnHighlight constant ST_SystemColorVal := 'btnHighlight';
  sysColV_3dDkShadow constant ST_SystemColorVal := '3dDkShadow';
  sysColV_3dLight constant ST_SystemColorVal := '3dLight';
  sysColV_infoText constant ST_SystemColorVal := 'infoText';
  sysColV_infoBk constant ST_SystemColorVal := 'infoBk';
  sysColV_hotLight constant ST_SystemColorVal := 'hotLight';
  sysColV_gradActiveCaption constant ST_SystemColorVal := 'gradientActiveCaption';
  sysColV_gradInactiveCaption constant ST_SystemColorVal := 'gradientInactiveCaption';
  sysColV_menuHighlight constant ST_SystemColorVal := 'menuHighlight';
  sysColV_menuBar constant ST_SystemColorVal := 'menuBar';

/* VMLDrawing.xml */
/*
  ST_TrueFalse
*/
subtype ST_TrueFalse is ploffx_util.t_string;
  trueFalse_f constant ST_TrueFalse := 'f';
  trueFalse_false constant ST_TrueFalse := 'false';
  trueFalse_t constant ST_TrueFalse := 't';
  trueFalse_true constant ST_TrueFalse := 'true';
/*
  ST_ConnectType
*/
subtype ST_ConnectType is ploffx_util.t_string;
  connectT_none constant ST_ConnectType := 'none';
  connectT_rect constant ST_ConnectType := 'rect';
  connectT_segments constant ST_ConnectType := 'segments';
  connectT_custom constant ST_ConnectType := 'custom';
/*
  ST_StrokeLineStyle
*/
subtype ST_StrokeLineStyle is ploffx_util.t_string;
  strokeLineS_single constant ST_StrokeLineStyle := 'single';
  strokeLineS_thinThin constant ST_StrokeLineStyle := 'thinThin';
  strokeLineS_thinThick constant ST_StrokeLineStyle := 'thinThick';
  strokeLineS_thickThin constant ST_StrokeLineStyle := 'thickThin';
  strokeLineS_thickBetweenThin constant ST_StrokeLineStyle := 'thickBetweenThin';
/*
  ST_StrokeJoinStyle
*/
subtype ST_StrokeJoinStyle is ploffx_util.t_string;
  strokeJoinS_round constant ST_StrokeJoinStyle := 'round';
  strokeJoinS_bevel constant ST_StrokeJoinStyle := 'bevel';
  strokeJoinS_miter constant ST_StrokeJoinStyle := 'miter';
/*
  ST_StrokeEndCap
*/
subtype ST_StrokeEndCap is ploffx_util.t_string;
  strokeEndCap_flat constant ST_StrokeEndCap := 'flat';
  strokeEndCap_square constant ST_StrokeEndCap := 'square';
  strokeEndCap_round constant ST_StrokeEndCap := 'round';
/*
  ST_FillType
*/
subtype ST_FillType is ploffx_util.t_string;
  fillT_solid constant ST_FillType := 'solid';
  fillT_gradient constant ST_FillType := 'gradient';
  fillT_gradientRadial constant ST_FillType := 'gradientRadial';
  fillT_tile constant ST_FillType := 'tile';
  fillT_pattern constant ST_FillType := 'pattern';
  fillT_frame constant ST_FillType := 'frame';
/*
  ST_ImageAspect
*/
subtype ST_ImageAspect is ploffx_util.t_string;
  imageAsp_ignore constant ST_ImageAspect := 'ignore';
  imageAsp_atMost constant ST_ImageAspect := 'atMost';
  imageAsp_atLeast constant ST_ImageAspect := 'atLeast';
/*
  ST_StrokeArrowType
*/
subtype ST_StrokeArrowType is ploffx_util.t_string;
/*
  ST_StrokeArrowWidth
*/
subtype ST_StrokeArrowWidth is ploffx_util.t_string;
/*
  ST_StrokeArrowLength
*/
subtype ST_StrokeArrowLength is ploffx_util.t_string;
/*
  ST_HrAlign
*/
subtype ST_HrAlign is ploffx_util.t_string;
/*
  ST_InsetMode
*/
subtype ST_InsetMode is ploffx_util.t_string;
/*
  ST_BWMode
*/
subtype ST_BWMode is ploffx_util.t_string;
/*
  ST_FillMethod
*/
subtype ST_FillMethod is ploffx_util.t_string;
/*
  ST_ShadowType
*/
subtype ST_ShadowType is ploffx_util.t_string;
/*
  ST_TrueFalseBlank
*/
subtype ST_TrueFalseBlank is ploffx_util.t_string;
/*
  ST_ObjectType
*/
subtype ST_ObjectType is ploffx_util.t_string;
/*
  ST_Ext
*/
subtype ST_Ext is ploffx_util.t_string;

/* WebSettings.xml */
/*
  ST_FrameScrollbar
  v1.3.0
*/
subtype ST_FrameScrollbar is ploffx_util.t_string;
  frameScroll_auto constant ST_FrameScrollbar:= 'auto';
  frameScroll_on constant ST_FrameScrollbar := 'on';
  frameScroll_off constant ST_FrameScrollbar := 'off';
/*
  ST_FrameLayout
  v1.3.0
*/
subtype ST_FrameLayout is ploffx_util.t_string;
  frameLayout_cols constant ST_FrameLayout := 'cols';
  frameLayout_none constant ST_FrameLayout := 'none';
  frameLayout_rows constant ST_FrameLayout := 'rows';
/*
  ST_TargetScreenSz
  v1.3.0
*/
subtype ST_TargetScreenSz is ploffx_util.t_string;
  targetScreenSz_1024x768 constant ST_TargetScreenSz := '1024x768';
  targetScreenSz_1152x882 constant ST_TargetScreenSz := '1152x882';
  targetScreenSz_1152x900 constant ST_TargetScreenSz := '1152x900';
  targetScreenSz_1280x1024 constant ST_TargetScreenSz := '1280x1024';
  targetScreenSz_1600x1200 constant ST_TargetScreenSz := '1600x1200';
  targetScreenSz_1800x1440 constant ST_TargetScreenSz := '1800x1440';
  targetScreenSz_1920x1200 constant ST_TargetScreenSz := '1920x1200';
  targetScreenSz_544x376 constant ST_TargetScreenSz := '544x376';
  targetScreenSz_640x480 constant ST_TargetScreenSz := '640x480';
  targetScreenSz_720x512 constant ST_TargetScreenSz := '720x512';
  targetScreenSz_800x600 constant ST_TargetScreenSz := '800x600';

/*
--ST_VerticalJc
subtype ST_VerticalJc is ploffx_util.t_string;
--v2.0.0
c_top_vjc constant ST_VerticalJc :='top';
c_center_vjc constant ST_VerticalJc :='center';
c_both_vjc constant ST_VerticalJc :='both';
c_bottom_vjc constant ST_VerticalJc :='bottom';
*/
/*
   xlsx_styles
*/
/*
  ST_HexColor
  previous name:ST_UnsignedIntHex
*/

subtype ST_HexColor is varchar2(8 char); --argb
hexColor_Black constant ST_HexColor := '000000';
hexColor_Navy constant ST_HexColor := '000080';
hexColor_Dark_blue constant ST_HexColor := '00008B';
hexColor_Medium_blue constant ST_HexColor := '0000CD';
hexColor_Blue constant ST_HexColor := '0000FF';
hexColor_Dark_green constant ST_HexColor := '006400';
hexColor_Green constant ST_HexColor := '008000';
hexColor_Teal constant ST_HexColor := '008080';
hexColor_Dark_cyan constant ST_HexColor := '008B8B';
hexColor_Deep_sky_blue constant ST_HexColor := '00BFFF';
hexColor_Dark_turquoise constant ST_HexColor := '00DED1';
hexColor_Medium_spring_green constant ST_HexColor := '00FA9A';
hexColor_Lime constant ST_HexColor := '00FF00';
hexColor_Spring_green constant ST_HexColor := '00FF7F';
hexColor_Cyan constant ST_HexColor := '00FFFF';
hexColor_Midnight_blue constant ST_HexColor := '191970';
hexColor_Dodger_blue constant ST_HexColor := '1E90FF';
hexColor_Light_seagreen constant ST_HexColor := '20B2AA';
hexColor_Forest_green constant ST_HexColor := '228B22';
hexColor_Sea_green constant ST_HexColor := '2E8B57';
hexColor_Dark_slate_gray constant ST_HexColor := '2F4F4F';
hexColor_Lime_green constant ST_HexColor := '32CD32';
hexColor_Medium_sea_green constant ST_HexColor := '3CB371';
hexColor_Turquoise constant ST_HexColor := '40E0D0';
hexColor_Royal_blue constant ST_HexColor := '4169E1';
hexColor_Steelblue constant ST_HexColor := '4682B4';
hexColor_Dark_slate_blue constant ST_HexColor := '483D8B';
hexColor_Medium_turquoise constant ST_HexColor := '48D1CC';
hexColor_Indigo constant ST_HexColor := '4B0082';
hexColor_Dark_olive_green constant ST_HexColor := '556B2F';
hexColor_Cadet_blue constant ST_HexColor := '5F9EA0';
hexColor_Cornflower_blue constant ST_HexColor := '6495ED';
hexColor_Medium_aquamarine constant ST_HexColor := '66CDAA';
hexColor_Dim_gray constant ST_HexColor := '696969';
hexColor_Slate_blue constant ST_HexColor := '6A5ACD';
hexColor_Olive_drab constant ST_HexColor := '6B8E23';
hexColor_Light_slate_gray constant ST_HexColor := '778899';
hexColor_Medium_slate_blue constant ST_HexColor := '7B68EE';
hexColor_Lawngreen constant ST_HexColor := '7CFC00';
hexColor_Chartreuse constant ST_HexColor := '7FFF00';
hexColor_Aquamarine constant ST_HexColor := '7FFFD4';
hexColor_Maroon constant ST_HexColor := '800000';
hexColor_Purple constant ST_HexColor := '800080';
hexColor_Gray constant ST_HexColor := '808080';
hexColor_Sky_blue constant ST_HexColor := '87CEEB';
hexColor_Light_sky_blue constant ST_HexColor := '87CEFA';
hexColor_Blue_violet constant ST_HexColor := '8A2BE2';
hexColor_Dark_red constant ST_HexColor := '8B0000';
hexColor_Dark_magenta constant ST_HexColor := '8B008B';
hexColor_Saddle_brown constant ST_HexColor := '8B4513';
hexColor_Dark_seagreen constant ST_HexColor := '8DBC8F';
hexColor_Light_green constant ST_HexColor := '90EE90';
hexColor_Medium_purple constant ST_HexColor := '9370DB';
hexColor_Dark_violet constant ST_HexColor := '9400D3';
hexColor_Pale_green constant ST_HexColor := '98FB98';
hexColor_Dark_orchid constant ST_HexColor := '9932CC';
hexColor_Yellow_green constant ST_HexColor := '9ACD32';
hexColor_Sienna constant ST_HexColor := 'A0522D';
hexColor_Brown constant ST_HexColor := 'A52A2A';
hexColor_Dark_gray constant ST_HexColor := 'A9A9A9';
hexColor_Light_blue constant ST_HexColor := 'ADD8E6';
hexColor_Green_yellow constant ST_HexColor := 'ADFF2F';
hexColor_Pale_turquoise constant ST_HexColor := 'AFEEEE';
hexColor_Light_steel_blue constant ST_HexColor := 'B0C4DE';
hexColor_Powder_blue constant ST_HexColor := 'B0E0E6';
hexColor_Firebrick constant ST_HexColor := 'B22222';
hexColor_Dark_goldenrod constant ST_HexColor := 'B8860B';
hexColor_Medium_orchid constant ST_HexColor := 'BA55D3';
hexColor_Rosy_brown constant ST_HexColor := 'BC8F8F';
hexColor_Dark_khaki constant ST_HexColor := 'BDB76B';
hexColor_Silver constant ST_HexColor := 'C0C0C0';
hexColor_Medium_violet_red constant ST_HexColor := 'C71585';
hexColor_Indian_red constant ST_HexColor := 'CD5C5C';
hexColor_Peru constant ST_HexColor := 'CD853F';
hexColor_Chocolate constant ST_HexColor := 'D2691E';
hexColor_Tan constant ST_HexColor := 'D2B48C';
hexColor_Light_grey constant ST_HexColor := 'D3D3D3';
hexColor_Thistle constant ST_HexColor := 'D8BFD8';
hexColor_Orchid constant ST_HexColor := 'DA70D6';
hexColor_Goldenrod constant ST_HexColor := 'DAA520';
hexColor_Pale_violet_red constant ST_HexColor := 'DB7093';
hexColor_Crimson constant ST_HexColor := 'DC143C';
hexColor_Gainsboro constant ST_HexColor := 'DCDCDC';
hexColor_Plum constant ST_HexColor := 'DDA0DD';
hexColor_Burlywood constant ST_HexColor := 'DEB887';
hexColor_Mauve constant ST_HexColor := 'E0B0FF';
hexColor_Light_cyan constant ST_HexColor := 'E0FFFF';
hexColor_Lavender constant ST_HexColor := 'E6E6FA';
hexColor_Dark_salmon constant ST_HexColor := 'E9967A';
hexColor_Violet constant ST_HexColor := 'EE82EE';
hexColor_Pale_goldenrod constant ST_HexColor := 'EEE8AA';
hexColor_Light_coral constant ST_HexColor := 'F08080';
hexColor_Khaki constant ST_HexColor := 'F0E68C';
hexColor_Alice_blue constant ST_HexColor := 'F0F8FF';
hexColor_Honeydew constant ST_HexColor := 'F0FFF0';
hexColor_Azure constant ST_HexColor := 'F0FFFF';
hexColor_Sandy_brown constant ST_HexColor := 'F4A460';
hexColor_Wheat constant ST_HexColor := 'F5DEB3';
hexColor_Beige constant ST_HexColor := 'F5F5DC';
hexColor_Whitesmoke constant ST_HexColor := 'F5F5F5';
hexColor_Mint_cream constant ST_HexColor := 'F5FFFA';
hexColor_Ghost_white constant ST_HexColor := 'F8F8FF';
hexColor_Salmon constant ST_HexColor := 'FA8072';
hexColor_Antique_white constant ST_HexColor := 'FAEBD7';
hexColor_Linen constant ST_HexColor := 'FAF0E6';
hexColor_LightGoldenrodYellow constant ST_HexColor := 'FAFAD2';
hexColor_Old_lace constant ST_HexColor := 'FDF5E6';
hexColor_Red constant ST_HexColor := 'FF0000';
hexColor_Magenta constant ST_HexColor := 'FF00FF';
hexColor_Deep_pink constant ST_HexColor := 'FF1493';
hexColor_Orange_red constant ST_HexColor := 'FF4500';
hexColor_Tomato constant ST_HexColor := 'FF6347';
hexColor_Hot_pink constant ST_HexColor := 'FF69B4';
hexColor_Coral constant ST_HexColor := 'FF7F50';
hexColor_Dark_orange constant ST_HexColor := 'FF8C00';
hexColor_Light_salmon constant ST_HexColor := 'FFA07A';
hexColor_Orange constant ST_HexColor := 'FFA500';
hexColor_Light_pink constant ST_HexColor := 'FFB6C1';
hexColor_Pink constant ST_HexColor := 'FFC8CB';
hexColor_Gold constant ST_HexColor := 'FFD700';
hexColor_Peach_puff constant ST_HexColor := 'FFDAB9';
hexColor_Navajo_white constant ST_HexColor := 'FFDEAD';
hexColor_Moccasin constant ST_HexColor := 'FFE4B5';
hexColor_Bisque constant ST_HexColor := 'FFE4C4';
hexColor_Misty_rose constant ST_HexColor := 'FFE4E1';
hexColor_Blanched_almond constant ST_HexColor := 'FFEBCD';
hexColor_Papaya_whip constant ST_HexColor := 'FFEFD5';
hexColor_Lavender_blush constant ST_HexColor := 'FFF0F5';
hexColor_Sea_shell constant ST_HexColor := 'FFF5EE';
hexColor_Cornsilk constant ST_HexColor := 'FFF8DC';
hexColor_Lemon_chiffon constant ST_HexColor := 'FFFACD';
hexColor_Floral_white constant ST_HexColor := 'FFFAF0';
hexColor_Snow constant ST_HexColor := 'FFFAFA';
hexColor_Yellow constant ST_HexColor := 'FFFF00';
hexColor_Light_yellow constant ST_HexColor := 'FFFFE0';
hexColor_Ivory constant ST_HexColor := 'FFFFF0';
hexColor_White constant ST_HexColor := 'FFFFFF';
/*
  XT_Date
     Date formats
     Space can be inserted in date formats after a backslash
*/
subtype XT_Date is ploffx_util.t_string;
  date_yyyyMMd constant XT_Date := ' \@ yyyy.mmmm.d.';
  date_yyMMMd constant XT_Date := ' \@ yy.MMMd. ';
  date_ddddyyMMMMd constant XT_Date := ' \@ dddd,\ yyyy.\ MMMM\ d.';
  date_yyyyMMMMd constant XT_Date := ' \@ yyyy.\ MMMM\ d. ';
  date_yyyyMMMd constant XT_Date := ' \@ yyyy.MMMd. ';
  date_yyyyMMdd constant XT_Date := ' \@ yyyy-MM-d';
/*
  XT_Author
     Author formats
*/
subtype XT_Author is ploffx_util.t_string;
  author_caps constant XT_Author := ' \* Caps';
  author_firstcap constant XT_Author := ' \* FirstCap';
  author_lower constant XT_Author := ' \* Lower';
  author_upper constant XT_Author := ' \* Upper';
/*
  XT_Numbering
     List formats
*/
subtype XT_Numbering is ploffx_util.t_string;
  numbering_symbol constant XT_Numbering := 'symbol';
  numbering_arabic constant XT_Numbering := 'arabic';
  numbering_multilevel constant XT_Numbering := 'multilevel';
/*
  XT_FontName
    Font names
*/
subtype XT_FontName is ploffx_util.t_string;
  fontName_Calibri constant XT_FontName := 'Calibri';
  fontName_Verdana constant XT_FontName := 'Verdana';
  fontName_TimesNewRoman constant XT_FontName := 'Times New Roman';
  fontName_Arial constant XT_FontName := 'Arial';
  fontName_Cambria constant XT_FontName := 'Cambria';
  fontName_Garamond constant XT_FontName := 'Garamond';
  fontName_Georgia constant XT_FontName := 'Georgia';
  fontName_TrebuchetMS constant XT_FontName := 'Trebuchet MS';
/*
  PageHeight
*/
pageHeight_A4 constant varchar2(10) := '16838';
/*
  PageWidth
*/
pageWidth_A4 constant varchar2(10) := '11906';
end ploffx_const;
/

